Summary:	Python interface to MySQL
Name:		python-mysql
Version:	1.2.3c1
Release:	%mkrel 3
License:	GPL
Group:		Development/Python
URL:		http://sourceforge.net/projects/mysql-python/
Source0:	http://prdownloads.sourceforge.net/mysql-python/MySQL-python-%{version}.tar.gz
BuildRequires:	python-devel
BuildRequires:	MySQL-devel
BuildRequires:	zlib-devel python-setuptools
Provides:	MySQL-python = %{version}-%{release}
Obsoletes:	MySQL-python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Python interface to MySQL-3.2 and beyond

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0 
-     Thread-safety 
-     Thread-friendliness (threads will not block each other) 
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface
written by Joe Skinner and others. However, the older version is
a) not thread-friendly, b) written for MySQL 3.21, c) apparently
not actively maintained. No code from that version is used in
MySQLdb. MySQLdb is free software.

%prep

%setup -q -n MySQL-python-%{version}

%build
env CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README doc/*
%dir %{python_sitearch}/MySQLdb
%_libdir/python*/site-packages/


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Nov 25 2009 Texstar <texstar at gmail.com> 1.2.1-1pclos2010
- rebuild

* Thu Jul 03 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.2.1-0.p2.5pclos2007
- Rebuild

